All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::linalg::opencl::kernels::vector_convert Struct Reference

Main kernel class for vector conversion routines (e.g. convert vector<int> to vector<float>). More...

`#include <vector.hpp>`

## Static Public Member Functions

static std::string | program_name ()
static void | init (viennacl::ocl::context &ctx)

## Detailed Description

Main kernel class for vector conversion routines (e.g. convert vector<int> to vector<float>).

Definition at line 780 of file vector.hpp.

## Member Function Documentation

static void viennacl::linalg::opencl::kernels::vector_convert::init | ( | viennacl::ocl::context & | ctx | ) |

inline static

Definition at line 789 of file vector.hpp.

static std::string viennacl::linalg::opencl::kernels::vector_convert::program_name | ( |  | ) |

inline static

Definition at line 784 of file vector.hpp.

The documentation for this struct was generated from the following file:

- viennacl/linalg/opencl/kernels/vector.hpp